Bug 69344 - Up2date installs already updated kernel packages
Up2date installs already updated kernel packages
Product: Red Hat Public Beta
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
Blocks: 67217
  Show dependency treegraph
Reported: 2002-07-21 15:10 EDT by Markku Kolkka
Modified: 2015-01-07 18:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-22 18:24:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Markku Kolkka 2002-07-21 15:10:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020712

Description of problem:
Every time I run up2date, it lists kernel and kernel-debug even though I have
already updated those packages. When I mistakenly selected those packages it
actully installed them, resulting in multiple entries for the same package in
rpm database.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Run up2date
2.Select the kernel packages marked to be skipped, proceed with the rest of up2date
3.Run up2date again

Actual Results:  up2date wants to install another copy of the already updated

Expected Results:  up2date tells that there's nothing to update

Additional info:
Comment 1 Adrian Likins 2002-07-22 18:24:27 EDT
this should be fixed in versions 2.9.10 or higher.
Comment 2 Jay Turner 2002-09-04 22:50:53 EDT
Fix confirmed with up2date-3.0.4-1.

Note You need to log in before you can comment on or make changes to this bug.